namespace PiattaformaStreaming;

[Serializable]
public class Documentario : Media
{
    public Documentario(string titolo, int durata, int anno, int valutazione)
        : base(titolo, durata, anno, valutazione) { }

    public override string Riproduci()
    {
        return string.Format("Riproduco documentario {0}", Titolo);
    }
    
    #region File Testo
    
    public Documentario(string s) : base(s) { }
    
    #endregion
    
    #region File JSON

    public Documentario() { }

    #endregion
}